Index: src/Fragmentation/Summation/IndexSetContainer.cpp
===================================================================
--- src/Fragmentation/Summation/IndexSetContainer.cpp	(revision eb32b6fbd2260e7c9b6380e6f02cc40925252bf9)
+++ src/Fragmentation/Summation/IndexSetContainer.cpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
@@ -56,5 +56,5 @@
         _AllIndices->insert((Index_t)*keyiter);
     }
-  LOG(1, "INFO: AllIndices is " << *_AllIndices << ".");
+  LOG(2, "DEBUG: AllIndices is " << *_AllIndices << ".");
 
   return _AllIndices;
Index: src/Fragmentation/Summation/OrthogonalSummation_impl.hpp
===================================================================
--- src/Fragmentation/Summation/OrthogonalSummation_impl.hpp	(revision eb32b6fbd2260e7c9b6380e6f02cc40925252bf9)
+++ src/Fragmentation/Summation/OrthogonalSummation_impl.hpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
@@ -19,4 +19,5 @@
 
 #include "Fragmentation/Summation/ZeroInstance.hpp"
+#include "Fragmentation/Summation/printKeyNames.hpp"
 
 /** Constructor of class OrthogonalSummation.
@@ -42,5 +43,5 @@
     subsetmap.reset(new SubsetMap(container));
   } else {
-    LOG(1, "INFO: Using given SubsetMap.");
+    LOG(2, "DEBUG: Using given SubsetMap for " << printKeyNames::printName<T>() << ".");
   }
   /// instantiate all SubSetValue's by requesting the IndexSet from the Subsetmap
@@ -48,5 +49,5 @@
   typename InputValues_t::iterator valueiter = values.begin();
   for (;valueiter != values.end(); ++indexiter, ++valueiter) {
-    LOG(1, "INFO: Adding set " << **indexiter << " with value " << *valueiter << ".");
+    LOG(2, "DEBUG: Adding set " << **indexiter << " with value " << *valueiter << ".");
     setvalues.addValue( *indexiter, *valueiter );
   }
@@ -71,10 +72,10 @@
   if (iter->first->size() <= level)
     sum = (iter->second)->getContribution();
-  LOG(1, "DEBUG: Contribution from subset "+toString(*(iter->second->getIndexSet()))
+  LOG(3, "DEBUG: Contribution from subset "+toString(*(iter->second->getIndexSet()))
       +" is "+toString(sum)+".");
   for(++iter;(iter != setvalues.end()) && (iter->first->size() <= level); ++iter) {
     const T tempvalue = (iter->second)->getContribution();
     sum += tempvalue;
-    LOG(1, "DEBUG: Contribution from subset "+toString(*(iter->second->getIndexSet()))
+    LOG(3, "DEBUG: Contribution from subset "+toString(*(iter->second->getIndexSet()))
         +" is "+toString(tempvalue)+".");
   }
Index: src/Fragmentation/Summation/SetValue.hpp
===================================================================
--- src/Fragmentation/Summation/SetValue.hpp	(revision eb32b6fbd2260e7c9b6380e6f02cc40925252bf9)
+++ src/Fragmentation/Summation/SetValue.hpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
@@ -111,5 +111,5 @@
    */
   const T calcSum() {
-    LOG(1, "INFO: Summing up contribution for " << *indices << ".");
+    LOG(2, "DEBUG: Summing up contribution for " << *indices << ".");
     // we initialize with value
     T result = getValue();
@@ -120,5 +120,5 @@
       for (IndexSetContainer::Container_t::const_iterator iter = subsets.begin();
           iter != subsets.end(); ++iter) {
-        LOG(2, "INFO: Current subset is " << **iter << ".");
+        LOG(3, "DEBUG: Current subset is " << **iter << ".");
         // NOTE: our subset is not contained in the number of subsets
         typename SetValue<T>::ptr ptr = lookupValue(*iter);
Index: src/Fragmentation/Summation/SetValues/Histogram.cpp
===================================================================
--- src/Fragmentation/Summation/SetValues/Histogram.cpp	(revision eb32b6fbd2260e7c9b6380e6f02cc40925252bf9)
+++ src/Fragmentation/Summation/SetValues/Histogram.cpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
@@ -226,5 +226,5 @@
     ASSERT( loweriter->first < upperiter->first,
         "Histogram::superposeOtherHistogram() - the bin range is invalid.");
-    LOG(4, "DEBUG: bin range here is ["
+    LOG(5, "DEBUG: bin range here is ["
         << loweriter->first << ","  << upperiter->first << ").");
 
@@ -240,5 +240,5 @@
       if (offsets.back() != nextbin.first)
         offsets.push_back(nextbin.first);
-      LOG(3, "DEBUG: Offsets are " << offsets << ".");
+      LOG(4, "DEBUG: Offsets are " << offsets << ".");
     }
 
@@ -258,5 +258,5 @@
       std::stringstream output;
       std::for_each( bins.begin(), bins.end(), PrintPair<Bin_t>(output));
-      LOG(2, "DEBUG: Bins are after summation " << output.str() << ".");
+      LOG(3, "DEBUG: Bins are after summation " << output.str() << ".");
     }
   }
@@ -278,5 +278,5 @@
 {
   superposeOtherHistogram(other, +1.);
-  LOG(2, "DEBUG: Bins after addition are " << printBins() << ".");
+  LOG(3, "DEBUG: Bins after addition are " << printBins() << ".");
   return *this;
 }
@@ -285,5 +285,5 @@
 {
   superposeOtherHistogram(other, -1.);
-  LOG(2, "DEBUG: Bins after subtraction are " << printBins() << ".");
+  LOG(3, "DEBUG: Bins after subtraction are " << printBins() << ".");
   return *this;
 }
Index: src/Fragmentation/Summation/SubsetMap.cpp
===================================================================
--- src/Fragmentation/Summation/SubsetMap.cpp	(revision eb32b6fbd2260e7c9b6380e6f02cc40925252bf9)
+++ src/Fragmentation/Summation/SubsetMap.cpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
@@ -79,7 +79,7 @@
   // get the sets size and the size of the power sets
   const size_t SetSize = ptr->size();
-  LOG(1, "INFO: Current set to gather all subsets for is " << *ptr << " with size " << SetSize << ".");
+  LOG(2, "DEBUG: Current set to gather all subsets for is " << *ptr << " with size " << SetSize << ".");
   const size_t NoPowerSubsets = getNoPowerSets(SetSize);
-  LOG(1, "INFO: There are " << NoPowerSubsets << " sets to check for containment.");
+  LOG(2, "DEBUG: There are " << NoPowerSubsets << " sets to check for containment.");
   std::vector<IndexSet> returnsets;
   // sets is the number of possible subsets to check: NotContained means still
@@ -102,24 +102,24 @@
         "SubsetMap::gatherSubsets() - distance from begin to iterator is not correct.");
     *tempset = getSubset(*ptr, index );
-    LOG(2, "INFO: Current subset is " << *tempset << " at " << index << ".");
+    LOG(3, "DEBUG: Current subset is " << *tempset << " at " << index << ".");
     // check whether IndexSet is contained and known
     if (ptr->contains(*tempset)) {
       // mark as contained
       *iter = Contained;
-      LOG(3, "DEBUG: Marking subset as Contained.");
+      LOG(4, "DEBUG: Marking subset as Contained.");
       if (Lookup.count(tempset)) {
-        LOG(2, "DEBUG: Subset is present in Lookup, adding.");
+        LOG(3, "DEBUG: Subset is present in Lookup, adding.");
         returnsets.push_back(*tempset);
         // if so, also add its contained sets and mark them out
         const IndexSetContainer::Container_t &container = getSubsets(tempset)->getContainer();
         if (container.size()) {
-          LOG(2, "DEBUG: Subset is also present in Lookup, adding all its subsets");
+          LOG(3, "DEBUG: Subset is also present in Lookup, adding all its subsets");
           for(IndexSetContainer::Container_t::const_iterator containeriter = container.begin();
               containeriter != container.end();
               ++containeriter) {
             const size_t subindex = getPowerSetIndex(ptr, **containeriter);
-            LOG(4, "INFO: Current subset of subset is " << **containeriter << " at " << subindex << ".");
+            LOG(5, "INFO: Current subset of subset is " << **containeriter << " at " << subindex << ".");
             if (sets[subindex] != Contained) {
-              LOG(5, "DEBUG: Setting power subset to Contained.");
+              LOG(6, "DEBUG: Setting power subset to Contained.");
               sets[subindex] = Contained;
               returnsets.push_back(**containeriter);
@@ -130,5 +130,5 @@
     }
   }
-  LOG(1, "INFO: Adding " << returnsets.size() << " sets to Lookup for set " << *ptr << ".");
+  LOG(2, "DEBUG: Adding " << returnsets.size() << " sets to Lookup for set " << *ptr << ".");
   Lookup.insert( std::make_pair(ptr, IndexSetContainer::ptr(new IndexSetContainer(returnsets))) );
 }
Index: src/Fragmentation/Summation/Summation_impl.hpp
===================================================================
--- src/Fragmentation/Summation/Summation_impl.hpp	(revision eb32b6fbd2260e7c9b6380e6f02cc40925252bf9)
+++ src/Fragmentation/Summation/Summation_impl.hpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
@@ -17,4 +17,6 @@
 #include "CodePatterns/IteratorAdaptors.hpp"
 #include "CodePatterns/Log.hpp"
+
+#include "Fragmentation/Summation/printKeyNames.hpp"
 
 /** Constructor of class Summation.
@@ -40,5 +42,5 @@
     subsetmap.reset(new SubsetMap(container));
   } else {
-    LOG(1, "INFO: Using given SubsetMap.");
+    LOG(2, "DEBUG: Using given SubsetMap for " << printKeyNames::printName<T>() << ".");
   }
   /// instantiate all SubSetValue's by requesting the IndexSet from the Subsetmap
@@ -46,5 +48,5 @@
   typename InputValues_t::iterator valueiter = values.begin();
   for (;valueiter != values.end(); ++indexiter, ++valueiter) {
-    LOG(1, "INFO: Adding set " << **indexiter << " with value " << *valueiter << ".");
+    LOG(2, "DEBUG: Adding set " << **indexiter << " with value " << *valueiter << ".");
     setvalues.addValue( *indexiter, *valueiter );
   }
@@ -69,10 +71,10 @@
   if (iter->first->size() <= level)
     sum = (iter->second)->getValue();
-  LOG(1, "DEBUG: Value from subset "+toString(*(iter->second->getIndexSet()))
+  LOG(3, "DEBUG: Value from subset "+toString(*(iter->second->getIndexSet()))
       +" is "+toString(sum)+".");
   for(++iter;(iter != setvalues.end()) && (iter->first->size() <= level); ++iter) {
     const T tempvalue = (iter->second)->getValue();
     sum += tempvalue;
-    LOG(1, "DEBUG: Value from subset "+toString(*(iter->second->getIndexSet()))
+    LOG(3, "DEBUG: Value from subset "+toString(*(iter->second->getIndexSet()))
         +" is "+toString(tempvalue)+".");
   }
